package com.fs.his.service;

import java.util.List;

import com.fs.his.domain.FsDoctor;
import com.fs.his.domain.FsDoctorPrice;
import com.fs.his.param.FsDoctorPriceParam;

/**
 * 医生价目Service接口
 *
 * @author fs
 * @date 2023-07-31
 */
public interface IFsDoctorPriceService
{
    /**
     * 查询医生价目
     *
     * @param priceId 医生价目主键
     * @return 医生价目
     */
    public FsDoctorPrice selectFsDoctorPriceByPriceId(Long priceId);

    /**
     * 查询医生价目列表
     *
     * @param fsDoctorPrice 医生价目
     * @return 医生价目集合
     */
    public List<FsDoctorPrice> selectFsDoctorPriceList(FsDoctorPrice fsDoctorPrice);

    /**
     * 新增医生价目
     *
     * @param fsDoctorPrice 医生价目
     * @return 结果
     */
    public int insertFsDoctorPrice(FsDoctorPrice fsDoctorPrice);

    /**
     * 修改医生价目
     *
     * @param fsDoctorPrice 医生价目
     * @return 结果
     */
    public int updateFsDoctorPrice(FsDoctorPrice fsDoctorPrice);

    /**
     * 批量删除医生价目
     *
     * @param priceIds 需要删除的医生价目主键集合
     * @return 结果
     */
    public int deleteFsDoctorPriceByPriceIds(Long[] priceIds);

    /**
     * 删除医生价目信息
     *
     * @param priceId 医生价目主键
     * @return 结果
     */
    public int deleteFsDoctorPriceByPriceId(Long priceId);

    List<FsDoctorPrice> selectDoctorPriceByDoctorId(Long doctorId);

}
